HINO Bugs - Bug #2680

[HR-ESS Overtime] perubahan validasi untuk mulai jam boleh melakukan overtime khusus di bulan
Ramadhan

03/27/2024 04:24 PM - Muhammad Bintar

Status: Closed Start date: 03/27/2024
Priority: Normal Due date: 04/03/2024
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

dear tim developer mohon support nya untuk perbaikan validasi pada saat mulai melakukan overtime itu dimana:

awalnya validasi tersebut hanya wday saja. harusnya semua attendance type kecuali OFF bisa melakukan overtime jika jam mulai
overtime nya adalah minimal mulai 1 jam setelah pulang working schedule (pada settingan daytype).

contoh pada employee 00000008 di tanggal 14 maret 2024.

jika overtime mulai 16.31 sampai 17.31 itu tidak boleh mengajukan overtime karena di bawah 1 jam
jika overtime mulai 16.31 sampai 17.50 baru boleh submit overtime.

nama validasi nya GETOVERTIMELIMIT
message catalog nya OVERTIMELIMIT

remote.minovais.com:61120

database sql server
remote.minovais.com, 1452

History

#1 - 03/27/2024 04:25 PM - Muhammad Bintar

- Description updated

#2 - 03/28/2024 04:37 PM - M Azid Wahyudi
- Status changed from New to QA Test
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , udah bisa di test ya

package :
custparam(GETOVERTIMELIMIT)

makasih

#3 - 04/05/2024 10:21 AM - Muhammad Bintar
- Status changed from QA Test to Closed
- Assignee changed from Muhammad Bintar to M Azid Wahyudi

okeh sudah di deploy
